Name:          hawtdb
Version:       1.6
Release:       %mkrel 8
Summary:       A Powerful Key/Value Store
# CDDL: hawtdb/src/main/java/org/fusesource/hawtdb/api/Callback.java
License:       ASL 2.0 and CDDL
URL:           http://hawtdb.fusesource.org/
Source0:       https://github.com/fusesource/hawtdb/archive/%{name}-project-%{version}.tar.gz
Group:         Development/Java

BuildRequires: fusesource-pom
BuildRequires: apache-commons-logging
BuildRequires: hawtbuf
# test deps
BuildRequires: junit
BuildRequires: liblog4j12-java

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle

BuildArch:     noarch

%description
HawtDB is an embedded MVCC Key/Value Database.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}

# remove unavailable org.fusesource.mvnplugins:fuse-javadoc-skin
%pom_xpath_remove "pom:project/pom:build/pom:extensions"
# remove unavailable org.apache.maven.wagon:wagon-webdav-jackrabbit
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-site-plugin']/pom:dependencies"

# unavailable deps
%pom_disable_module %{name}-website

# Unwanted javadoc jar
%pom_remove_plugin :maven-javadoc-plugin %{name}

# These tests fails
# org.fusesource.hawtdb.api.IOPagingException: Invalid extent read request.  The requested page was not an extent: 2
# org.junit.ComparisonFailure: expected:<[Change 1]> but was:<[page:2]>
# org.fusesource.hawtdb.api.IndexException: Page did not contain the expected btree headers
# 
rm -r hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/BTreeIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/DeferredBTreeIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/DeferredHashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/FixedCapacityHashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/HashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/page/TxPageFileTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/io/MemoryMappedFileTest.java

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc changelog.md readme.md
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.6-8.mga6
+ Revision: 982528
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 1.6-7.mga6
+ Revision: 980450
- First rebuild of the java stack
- sync package hawtdb with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6-6.mga5
+ Revision: 751150
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun May 18 2014 dmorgan <dmorgan> 1.6-4.mga5
+ Revision: 623552
- imported package hawtdb


* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 1.6-2
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 1.6-1
- initial rpm
